#!/bin/sh

set -e

read   -p "Enter Hostname:" HSTNAME
read   -p "Enter IP Address:" IP
read   -p "Enter Netmask:" NMASK
read   -p "Enter Gateway:" GWAY
read   -p "Enter DNS Server:" DNSSERVER

addr=$(cat /etc/sysconfig/network-scripts/ifcfg-ens160 | grep "IPADDR")
echo "ipAddress $addr"
mask=$(cat /etc/sysconfig/network-scripts/ifcfg-ens160 | grep "NETMASK")
echo "mask is $mask"
gw=$(cat /etc/sysconfig/network-scripts/ifcfg-ens160 | grep "GATEWAY")
echo "gateway is $gw"
dsrv=$(cat /etc/sysconfig/network-scripts/ifcfg-ens160 | grep "DNS1")
echo "dns is $dsrv"
hname=$(uname -n)
hsts=$(cat /etc/hosts | grep $hname)
zeek=$(cat /opt/zeek/etc/node.cfg | grep $hname)
brokerurl=$(cat /etc/broker/env.list | grep "BROKER_URL")


temp="IPADDR=\"$IP\""
echo "New IPAddress = $temp"
sed -i "s/$addr/$temp/g" /etc/sysconfig/network-scripts/ifcfg-ens160


temp="NETMASK=\"$NMASK\""
echo "New NetMask = $temp"
sed -i "s/$mask/$temp/g" /etc/sysconfig/network-scripts/ifcfg-ens160


temp="GATEWAY=\"$GWAY\""
echo "New Gateway = $temp"
sed -i "s/$gw/$temp/g" /etc/sysconfig/network-scripts/ifcfg-ens160

temp="DNS1=\"$DNSSERVER\""
echo "New DNS = $temp"
sed -i "s/$dsrv/$temp/g"  /etc/sysconfig/network-scripts/ifcfg-ens160

echo $HSTNAME > /etc/hostname
        temp="$IP $HSTNAME"
        echo "New Hosts File Entry = $temp"
        sed -i "s/$hsts/$temp/g"  /etc/hosts


temp="host=$HSTNAME"
sed -i "s/$zeek/$temp/g"  /opt/zeek/etc/node.cfg

temp="BROKER_URL=https://$IP:9090/"
sed -i "s/$brokerurl/$temp/g"  /etc/broker/env.list

echo "You should reboot  to take effect your changes......"
